Files

Download a file from object storage

Downloads a file from the configured object storage bucket. Path behavior: - namespace is treated as the logical storage prefix. - fileName must be a single file basename and must not contain '/'. - Content-Type and filename are forwarded from the upstream response. Example Usage: ```bash curl -X GET '/namespaces/org.project/files/report.pdf' ```

Last updated on

GET
/namespaces/{namespace}/files/{fileName}

Path Parameters

namespace*string
fileName*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/namespaces/string/files/string"
Empty
{
  "message": "string",
  "error_code": "string"
}
{
  "message": "string",
  "error_code": "string"
}
{
  "detail": [
    {
      "loc": [
        null
      ],
      "msg": "string",
      "type": "string",
      "input": "string",
      "ctx": {
        "property1": null,
        "property2": null
      }
    }
  ]
}
{
  "error": "string",
  "error_code": "string"
}
{
  "error": "string",
  "error_code": "string"
}
{
  "error": "string",
  "error_code": "string"
}

See also

How is this guide?